No Safari support?

I haven’t been here recently, but when I tried to access the site using Safari on a Mac running Mac OS X 10.6.8 (Snow Leopard) I got a page telling me my browser isn’t supported. Is that temporary or has 343i decided to snub Mac users?

Not to my knowledge… Im using a Mac right now and having no problems with Safari…

> Not to my knowledge… Im using a Mac right now and having no problems with Safari…

What version of Safari are you using?

> > Not to my knowledge… Im using a Mac right now and having no problems with Safari…
>
> What version of Safari are you using?

6.0.5

I’m using 5.1.10 on Snow Leopard.

Safari 5 is pretty out of date; Safari 6’s stable release was over a year ago, and Safari 7 is already in the works. It doesn’t look like Apple has any plans to support Safari on older versions of the Mac OS.

You can choose to keep using Safari 5, but you’re probably going to run into issues owing to its age – maybe not here, but at some point while browsing the web. If updating your system OS isn’t an option (I don’t know how to Mac), then I’d recommend switching to another browser that is kept up-to-date on your platform, such as Mozilla Firefox or Google Chrome.